Subject: bug#23439: 25.0.93; Please integrate eww into dired

From: Juri Linkov <[email-masked]>
Date: Thu, 05 May 2016 23:19:31 +0300

> There doesn't seem to be a way to invoke eww on an HTML file from dired.
> Perhaps "v" could be overloaded to do that?  If not, then "W" seems unused.

A recommended customization in browse-url.el
(supposing your browser-function is eww):

;;	(add-hook 'dired-mode-hook
;;		  (lambda ()
;;	             (local-set-key "\C-c\C-zf" 'browse-url-of-dired-file)))

However, "v" would be shorter indeed when generalized to view files
using mailcap to rely on their MIME types (e.g. eww for text/html, etc.)